Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDividingCubes Class Reference

`#include <vtkDividingCubes.h>`

Inheritance diagram for vtkDividingCubes:

[legend]
Collaboration diagram for vtkDividingCubes:

[legend]
List of all members.

## Detailed Description

create points lying on isosurface

Date:
  2002/08/30 21:05:16

Revision:
  1.47

vtkDividingCubes is a filter that generates points lying on a surface of constant scalar value (i.e., an isosurface). Dense point clouds (i.e., at screen resolution) will appear as a surface. Less dense clouds can be used as a source to generate streamlines or to generate "transparent" surfaces. This filter is based on the generate program written by H. Cline, S. Ludke and W. Lorensen.

The density of the point cloud is controlled by the Distance instance variable. This is a distance value in global coordinates specifying the approximate distance between points.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (72%)
  - Law, Charles (8%)
  - Geveci, Berk (5%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Patented/vtkDividingCubes.h)`
  - .`cxx` (`/Patented/vtkDividingCubes.cxx)`

Tests:
  vtkDividingCubes (Tests)

Definition at line 74 of file vtkDividingCubes.h.

## Public Types
typedef vtkStructuredPointsToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetValue (float)
virtual float | GetValue ()
virtual void | SetDistance (float)
virtual float | GetDistance ()
virtual void | SetIncrement (int)
virtual int | GetIncrement ()
## Static Public Methods
vtkDividingCubes * | New ()
int | IsTypeOf (const char *type)
vtkDividingCubes * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDividingCubes ()
| ~vtkDividingCubes ()
void | Execute ()
void | SubDivide (float origin[3], int dim[3], float h[3], float values[8])
## Protected Attributes
float | Value
float | Distance
int | Increment
int | Count
vtkIdList * | SubVoxelPts
vtkVoxel * | SubVoxel
vtkFloatArray * | SubVoxelScalars
vtkFloatArray * | SubVoxelNormals

## Member Typedef Documentation

typedef vtkStructuredPointsToPolyDataFilter vtkDividingCubes::Superclass

| Reimplemented from vtkStructuredPointsToPolyDataFilter. Definition at line 78 of file vtkDividingCubes.h.

## Constructor & Destructor Documentation

vtkDividingCubes::vtkDividingCubes | ( |  | ) | `[protected]`

vtkDividingCubes::~vtkDividingCubes | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDividingCubes* vtkDividingCubes::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkDividingCubes::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredPointsToPolyDataFilter.

int vtkDividingCubes::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredPointsToPolyDataFilter.

virtual int vtkDividingCubes::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredPointsToPolyDataFilter.

vtkDividingCubes* vtkDividingCubes::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredPointsToPolyDataFilter.

void vtkDividingCubes::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredPointsToPolyDataFilter.

virtual void vtkDividingCubes::SetValue | ( | float |  | ) | `[virtual]`

| Set isosurface value.

virtual float vtkDividingCubes::GetValue | ( |  | ) | `[virtual]`

| Set isosurface value.

virtual void vtkDividingCubes::SetDistance | ( | float |  | ) | `[virtual]`

| Specify sub-voxel size at which to generate point.

virtual float vtkDividingCubes::GetDistance | ( |  | ) | `[virtual]`

| Specify sub-voxel size at which to generate point.

virtual void vtkDividingCubes::SetIncrement | ( | int |  | ) | `[virtual]`

| Every "Increment" point is added to the list of points. This parameter, if set to a large value, can be used to limit the number of points while retaining good accuracy.

virtual int vtkDividingCubes::GetIncrement | ( |  | ) | `[virtual]`

| Every "Increment" point is added to the list of points. This parameter, if set to a large value, can be used to limit the number of points while retaining good accuracy.

void vtkDividingCubes::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkDividingCubes::SubDivide | ( | float | origin[3],
|  | int | dim[3],
|  | float | h[3],
|  | float | values[8]
| ) | `[protected]`

## Member Data Documentation

float vtkDividingCubes::Value`[protected]`

| Definition at line 108 of file vtkDividingCubes.h.

float vtkDividingCubes::Distance`[protected]`

| Definition at line 109 of file vtkDividingCubes.h.

int vtkDividingCubes::Increment`[protected]`

| Definition at line 110 of file vtkDividingCubes.h.

int vtkDividingCubes::Count`[protected]`

| Definition at line 113 of file vtkDividingCubes.h.

vtkIdList* vtkDividingCubes::SubVoxelPts`[protected]`

| Definition at line 115 of file vtkDividingCubes.h.

vtkVoxel* vtkDividingCubes::SubVoxel`[protected]`

| Definition at line 116 of file vtkDividingCubes.h.

vtkFloatArray* vtkDividingCubes::SubVoxelScalars`[protected]`

| Definition at line 117 of file vtkDividingCubes.h.

vtkFloatArray* vtkDividingCubes::SubVoxelNormals`[protected]`

| Definition at line 118 of file vtkDividingCubes.h.

The documentation for this class was generated from the following file:

- Patented/vtkDividingCubes.h